Initialize.reStruct {nlme} | R Documentation

## Initialize reStruct Object

### Description

Initial estimates for the parameters in the `pdMat` objects forming `object`, which have not yet been initialized, are obtained using the methodology described in Bates and Pinheiro (1998). These estimates may be refined using a series of EM iterations, as described in Bates and Pinheiro (1998). The number of EM iterations to be used is defined in `control`.

### Usage

    ## S3 method for class 'reStruct'
    Initialize(object, data, conLin, control, ...)

### Arguments

`object` | an object inheriting from class `"reStruct"`, representing a random effects structure and consisting of a list of `pdMat` objects.
`data` | a data frame in which to evaluate the variables defined in `formula(object)`.
`conLin` | a condensed linear model object, consisting of a list with components `"Xy"`, corresponding to a regression matrix (`X`) combined with a response vector (`y`), and `"logLik"`, corresponding to the log-likelihood of the underlying model.
`control` | an optional list with a single component `niterEM` controlling the number of iterations for the EM algorithm used to refine initial parameter estimates. It is given as a list for compatibility with other `Initialize` methods. Defaults to `list(niterEM = 20)`.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

an `reStruct` object similar to `object`, but with all `pdMat` components initialized.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`reStruct`, `pdMat`, `Initialize`

[Package nlme version 3.1-128 Index]